package com.dahantc.sms.sdk;

import java.io.Serializable;
import java.util.List;

/**
 * 短信状态报告 用户请求返回对象
 * @author wuhandahantc
 * @date 2019/1/2 9:57
 **/
public class ReportResult implements Serializable {

	/***
	 * 状态报告请求码
	 **/
	private String code;

	/**
	 * 请求消息描述
	 **/
	private String msg;

	/**
	 * 得到的数据
	 **/
	private List<SmsReport> datas;

	public ReportResult() {
	}

	public ReportResult(String code, String msg, List<SmsReport> datas) {
		this.code = code;
		this.msg = msg;
		this.datas = datas;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public List<SmsReport> getDatas() {
		return datas;
	}

	public void setDatas(List<SmsReport> datas) {
		this.datas = datas;
	}

	@Override
	public String toString() {
		return "ReturnResult{" +
				"code=" + code +
				", msg='" + msg + '\'' +
				", datas=" + datas +
				'}';
	}
}
