package com.dahantc.sms.sdk;

import java.io.Serializable;

/**
 * 短信状态报告
 * @author wuhandahantc
 * @date 2019/1/2 9:57
 **/
public class SmsReport implements Serializable {

	/**
	 *  短信编号
	 **/
	private String msgId;

	/**
	 *  下行手机号码
	 **/
	private String phone;

	/**
	 * 短信发送状态
	 **/
	private Integer status;

	/**
	 *  状态报告时间
	 **/
	private String time;

	public SmsReport() {
	}

	public SmsReport(String msgId, String phone, Integer status, String time) {
		this.msgId = msgId;
		this.phone = phone;
		this.status = status;
		this.time = time;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	@Override
	public String toString() {
		return "UserSmsReport{" +
				"msgId='" + msgId + '\'' +
				", phone='" + phone + '\'' +
				", status=" + status +
				", time=" + time +
				'}';
	}
}
